[JIRA] (OVIRT-899) Create locking on experimental flow
by Barak Korren (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-899?page=com.atlassian.jira... ]
Barak Korren commented on OVIRT-899:
------------------------------------
As we've talked, the code will probably work better over time if the loop is not infinite, like so:
{code}
MAX_LOCK_ATTEMPTS=120
LOCK_WAIT_INTERVAL=5
LOCK_PATH=$HOME/experimental_repo.lock
wait_for_lock() {
trap "rm -f '$LOCK_PATH'" EXIT
for ((i = 0; i < $MAX_LOCK_ATTEMPTS; i++)); do
(set -o noclobber; > $LOCK_PATH) 2> /dev/null && return
sleep $LOCK_WAIT_INTERVAL
done
echo "Timed out waiting for lock" >&2
exit 1
}
{code}
> Create locking on experimental flow
> -----------------------------------
>
> Key: OVIRT-899
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-899
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Reporter: Gil Shinar
> Assignee: infra
>
> In order to make experimental flow atomic, we need to do as follows:
> in deploy.sh script and in start_testing_latest.sh we need to add a loop in the beginning of each script that does the following:
> *while 1:
> do
> is_locked=$((echo aaa > my.lock) 2> /dev/null || echo is locked)
> if [[ -z $is_locked ]]; then
> break
> else
> sleep 5
> fi
> done*
> Wrap the whole script with a trap so in the end if each script we will be able to remove my.lock no matter what happened.
--
This message was sent by Atlassian JIRA
(v1000.610.1#100023)
7 years, 11 months
Build failed in Jenkins: ovirt_3.6_he-system-tests #746
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/746/changes>
Changes:
[Yaniv Kaul] CHAP and IPv6 for iSCSI
[Sandro Bonazzola] ovirt-release: add 4.1 branch
[Ryan Barry] projects: add appliance builders for 4.1
[Ryan Barry] projects: add 4.1 builder for imgbased
[Ryan Barry] projects: add ovirt-node-ng builders for 4.1
------------------------------------------
[...truncated 1239 lines...]
## took 2653 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log entries: logs/mocker-epel-7-x86_64.el7.he_basic_suite_3.6.sh/he_basic_suite_3.6.sh.log
##!
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
+ exit
Took 2509 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson3905340880765715474.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/746/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/746/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/746/artifact/expor...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
for log in "${logs[@]}"
do
echo "Copying ${log} to exported-artifacts"
mv $log exported-artifacts/
done
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
# Drop all left over libvirt domains
for UUID in $(virsh list --all --uuid); do
virsh destroy $UUID || :
sleep 2
virsh undefine --remove-all-storage --storage vda --snapshots-metadata $UUID || :
done
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson1408240487253297486.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ for log in '"${logs[@]}"'
+ echo 'Copying ./ovirt-system-tests/logs to exported-artifacts'
Copying ./ovirt-system-tests/logs to exported-artifacts
+ mv ./ovirt-system-tests/logs exported-artifacts/
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-epel-7-x86_64.el7.cfg
+ mock_root=mocker-epel-7-x86_64.el7
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-epel-7-x86_64.el7'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests> --root=mocker-epel-7-x86_64.el7 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...>
+ mock_root=epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/epel-7-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
++ virsh list --all --uuid
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
Archiving artifacts
7 years, 11 months
oVirt infra daily report - unstable production jobs - 155
by jenkins@jenkins.phx.ovirt.org
------=_Part_52_715635920.1480633210108
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Good morning!
Attached is the HTML page with the jenkins status report. You can see it also here:
- http://jenkins.ovirt.org/job/system_jenkins-report/155//artifact/exported...
Cheers,
Jenkins
------=_Part_52_715635920.1480633210108
Content-Type: text/html; charset=us-ascii; name=upstream_report.html
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=upstream_report.html
Content-ID: <upstream_report.html>
<!DOCTYPE html><head><style type="text/css">
table.gridtable {
border-collapse: collapse;
table-layout:fixed;
width:1600px;
font-family: monospace;
font-size:13px;
}
.head {
font-size:20px;
font-family: arial;
}
.sub {
font-size:18px;
background-color:#e5e5e5;
font-family: arial;
}
pre {
font-family: monospace;
display: inline;
white-space: pre-wrap;
white-space: -moz-pre-wrap !important;
white-space: -pre-wrap;
white-space: -o-pre-wrap;
word-wrap: break-word;
}
</style>
</head>
<body>
<table class="gridtable" border=2>
<tr><th colspan=2 class=head>
RHEVM CI Jenkins Daily Report - 01/12/2016
</th></tr><tr><th colspan=2 class=sub>
<font color="blue"><a href="http://jenkins.ovirt.org/">00 Unstable Jobs (Production)</a></font>
</th></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/cockpit-ovirt_ovirt-4.1_build-artifacts-fc23...">cockpit-ovirt_ovirt-4.1_build-artifacts-fc23-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/fabric-ovirt_master_check-merged-el7-x86_64/">fabric-ovirt_master_check-merged-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-appliance_master_build-artifacts-el7-x...">ovirt-appliance_master_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-appliance_ovirt-4.1-pre_build-artifact...">ovirt-appliance_ovirt-4.1-pre_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-engine-api-explorer_master_build-artif...">ovirt-engine-api-explorer_master_build-artifacts-fc23-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-guest-agent_master_build-artifacts-fc2...">ovirt-guest-agent_master_build-artifacts-fc23-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-hosted-engine-ha_master_build-artifact...">ovirt-hosted-engine-ha_master_build-artifacts-fc24-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-live_master_experimental_create-iso-el...">ovirt-live_master_experimental_create-iso-el7-x86_64</a>
</td><td>
<h3>This job generates a nightly iso of ovirt-live using experimental repos</h3>
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-3.6_build-artifacts-el7-...">ovirt-node-ng_ovirt-3.6_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-4.0_build-artifacts-el7-...">ovirt-node-ng_ovirt-4.0_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-master-experimental_buil...">ovirt-node-ng_ovirt-master-experimental_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node_ovirt-3.6_create-iso-el7_merged/">ovirt-node_ovirt-3.6_create-iso-el7_merged</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt_master_system-tests_debug/">ovirt_master_system-tests_debug</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/repos_master_check-closure_el7_merged/">repos_master_check-closure_el7_merged</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/repos_master_check-closure_fc24_merged/">repos_master_check-closure_fc24_merged</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/system-backup_jenkins_ovirt_org/">system-backup_jenkins_ovirt_org</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/test-repo_ovirt_experimental_4.0/">test-repo_ovirt_experimental_4.0</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/test-repo_ovirt_experimental_master/">test-repo_ovirt_experimental_master</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/vdsm_4.0_check-merged-fc23-x86_64/">vdsm_4.0_check-merged-fc23-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/vdsm_master_build-artifacts-fc24-x86_64/">vdsm_master_build-artifacts-fc24-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/vdsm_master_check-merged-el7-x86_64/">vdsm_master_check-merged-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
------=_Part_52_715635920.1480633210108--
7 years, 11 months
Deprecating Defaults for to_all_distros Setting in repoman
by Anton Marchukov
Hello All.
If you use repoman please be aware that it currently has hardcoded list of
packages that defaults to being distroless. This is controlled by
"to_all_distros" configuration setting, but if you do not set it than the
defaults are used.
For ovirt experimental we decided that we better have all packages to have
distro specified in spec. This also inline with most distro packaging
guidelines. But then with current defaults repoman will consider those
package to be distroless even when they are not and specifying an empty
list in configuration is a silly way to override this.
This change provides an incompatibility, but you can still use this feature
by specifying to_all_distros package list explicitly in the config. So it
is just the change of default values at this point:
https://gerrit.ovirt.org/#/c/67662/
If somebody is not ok with defaults change and need time to update
configuration please let me know. Also if you are not sure we can go
another way and have intermediate repoman version that does not do the
change, but issue deprecation warning if defaults are being used, so
everybody can test their setups. However I think that it is might not be
actually needed in this case as it is a configuration thing.
Please feel free to comment on change request.
Anton.
--
Anton Marchukov
Senior Software Engineer - RHEV CI - Red Hat
7 years, 11 months
[JIRA] (OVIRT-900) Re: Rebase over other author's patch cannot be pushed to gerrit
by Barak Korren (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-900?page=com.atlassian.jira... ]
Barak Korren reassigned OVIRT-900:
----------------------------------
Assignee: Shlomo Ben David (was: infra)
> Re: Rebase over other author's patch cannot be pushed to gerrit
> ---------------------------------------------------------------
>
> Key: OVIRT-900
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-900
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Barak Korren
> Assignee: Shlomo Ben David
>
> Forwarding to infra-support.
> On 1 December 2016 at 18:03, Yaniv Bronheim <ybronhei(a)redhat.com> wrote:
> > Not sure since when it was changed, but I noticed that I can't push patches
> > if I'm not the author
> >
> > Counting objects: 50, done.
> > Delta compression using up to 4 threads.
> > Compressing objects: 100% (50/50), done.
> > Writing objects: 100% (50/50), 36.66 KiB | 0 bytes/s, done.
> > Total 50 (delta 34), reused 0 (delta 0)
> > remote: Resolving deltas: 100% (34/34)
> > remote: Processing changes: refs: 1, done
> > remote:
> > remote: ERROR: In commit db14ec7c1555a9eb37a0fb931bbb4ebdfc674bb4
> > remote: ERROR: author email address rnachimu(a)redhat.com
> > remote: ERROR: does not match your user account.
> > remote: ERROR:
> > remote: ERROR: The following addresses are currently registered:
> > remote: ERROR: bronhaim(a)gmail.com
> > remote: ERROR: ybronhei(a)redhat.com
> > remote: ERROR:
> > remote: ERROR: To register an email address, please visit:
> > remote: ERROR: https://gerrit.ovirt.org/#/settings/contact
> > remote:
> > remote:
> > To ssh://ybronhei@gerrit.ovirt.org:29418/vdsm
> > ! [remote rejected] HEAD -> refs/for/master (invalid author)
> > error: failed to push some refs to
> > 'ssh://ybronhei@gerrit.ovirt.org:29418/vdsm'
> >
> > We must have permissions to do that, this is part of the rebasing part, and
> > I think its fine to fix patches on behalf of someone else.. but its not the
> > best practice for reviewing.
> > anyway, please undo this change, unless its something that related only to
> > my env.. let me know
> >
> > Thanks
> >
> > --
> > Yaniv Bronhaim.
> >
> > _______________________________________________
> > Infra mailing list
> > Infra(a)ovirt.org
> > http://lists.ovirt.org/mailman/listinfo/infra
> >
> --
> Barak Korren
> bkorren(a)redhat.com
> RHCE, RHCi, RHV-DevOps Team
> https://ifireball.wordpress.com/
--
This message was sent by Atlassian JIRA
(v1000.606.0#100023)
7 years, 11 months
[JIRA] (OVIRT-900) Re: Rebase over other author's patch cannot be pushed to gerrit
by Barak Korren (oVirt JIRA)
Barak Korren created OVIRT-900:
----------------------------------
Summary: Re: Rebase over other author's patch cannot be pushed to gerrit
Key: OVIRT-900
URL: https://ovirt-jira.atlassian.net/browse/OVIRT-900
Project: oVirt - virtualization made easy
Issue Type: By-EMAIL
Reporter: Barak Korren
Assignee: infra
Forwarding to infra-support.
On 1 December 2016 at 18:03, Yaniv Bronheim <ybronhei(a)redhat.com> wrote:
> Not sure since when it was changed, but I noticed that I can't push patches
> if I'm not the author
>
> Counting objects: 50, done.
> Delta compression using up to 4 threads.
> Compressing objects: 100% (50/50), done.
> Writing objects: 100% (50/50), 36.66 KiB | 0 bytes/s, done.
> Total 50 (delta 34), reused 0 (delta 0)
> remote: Resolving deltas: 100% (34/34)
> remote: Processing changes: refs: 1, done
> remote:
> remote: ERROR: In commit db14ec7c1555a9eb37a0fb931bbb4ebdfc674bb4
> remote: ERROR: author email address rnachimu(a)redhat.com
> remote: ERROR: does not match your user account.
> remote: ERROR:
> remote: ERROR: The following addresses are currently registered:
> remote: ERROR: bronhaim(a)gmail.com
> remote: ERROR: ybronhei(a)redhat.com
> remote: ERROR:
> remote: ERROR: To register an email address, please visit:
> remote: ERROR: https://gerrit.ovirt.org/#/settings/contact
> remote:
> remote:
> To ssh://ybronhei@gerrit.ovirt.org:29418/vdsm
> ! [remote rejected] HEAD -> refs/for/master (invalid author)
> error: failed to push some refs to
> 'ssh://ybronhei@gerrit.ovirt.org:29418/vdsm'
>
> We must have permissions to do that, this is part of the rebasing part, and
> I think its fine to fix patches on behalf of someone else.. but its not the
> best practice for reviewing.
> anyway, please undo this change, unless its something that related only to
> my env.. let me know
>
> Thanks
>
> --
> Yaniv Bronhaim.
>
> _______________________________________________
> Infra mailing list
> Infra(a)ovirt.org
> http://lists.ovirt.org/mailman/listinfo/infra
>
--
Barak Korren
bkorren(a)redhat.com
RHCE, RHCi, RHV-DevOps Team
https://ifireball.wordpress.com/
--
This message was sent by Atlassian JIRA
(v1000.606.0#100023)
7 years, 11 months
Rebase over other author's patch cannot be pushed to gerrit
by Yaniv Bronheim
Not sure since when it was changed, but I noticed that I can't push patches
if I'm not the author
Counting objects: 50, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (50/50), done.
Writing objects: 100% (50/50), 36.66 KiB | 0 bytes/s, done.
Total 50 (delta 34), reused 0 (delta 0)
remote: Resolving deltas: 100% (34/34)
remote: Processing changes: refs: 1, done
remote:
remote: ERROR: In commit db14ec7c1555a9eb37a0fb931bbb4ebdfc674bb4
remote: ERROR: author email address rnachimu(a)redhat.com
remote: ERROR: does not match your user account.
remote: ERROR:
remote: ERROR: The following addresses are currently registered:
remote: ERROR: bronhaim(a)gmail.com
remote: ERROR: ybronhei(a)redhat.com
remote: ERROR:
remote: ERROR: To register an email address, please visit:
remote: ERROR: https://gerrit.ovirt.org/#/settings/contact
remote:
remote:
To ssh://ybronhei@gerrit.ovirt.org:29418/vdsm
! [remote rejected] HEAD -> refs/for/master (invalid author)
error: failed to push some refs to 'ssh://
ybronhei@gerrit.ovirt.org:29418/vdsm'
We must have permissions to do that, this is part of the rebasing part, and
I think its fine to fix patches on behalf of someone else.. but its not the
best practice for reviewing.
anyway, please undo this change, unless its something that related only to
my env.. let me know
Thanks
--
*Yaniv Bronhaim.*
7 years, 11 months
[JIRA] (OVIRT-899) Create locking on experimental flow
by Barak Korren (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-899?page=com.atlassian.jira... ]
Barak Korren edited comment on OVIRT-899 at 12/1/16 5:48 PM:
-------------------------------------------------------------
The script as you wrote it above is more complex then it should be.
Try this:
{code}
while ! (> my.lock) 2> /dev/null; do
sleep 5
done
{code}
was (Author: bkorren(a)redhat.com):
The script as you wrote it above is more complex then it should be.
Try this:
{code}
while (> my.lock) 2> /dev/null; do
sleep 5
done
{code}
> Create locking on experimental flow
> -----------------------------------
>
> Key: OVIRT-899
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-899
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Reporter: Gil Shinar
> Assignee: infra
>
> In order to make experimental flow atomic, we need to do as follows:
> in deploy.sh script and in start_testing_latest.sh we need to add a loop in the beginning of each script that does the following:
> *while 1:
> do
> is_locked=$((echo aaa > my.lock) 2> /dev/null || echo is locked)
> if [[ -z $is_locked ]]; then
> break
> else
> sleep 5
> fi
> done*
> Wrap the whole script with a trap so in the end if each script we will be able to remove my.lock no matter what happened.
--
This message was sent by Atlassian JIRA
(v1000.606.0#100023)
7 years, 11 months
[JIRA] (OVIRT-899) Create locking on experimental flow
by Barak Korren (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-899?page=com.atlassian.jira... ]
Barak Korren commented on OVIRT-899:
------------------------------------
The script as you wrote it above is more complex then it should be.
Try this:
{code}
while (> my.lock) 2> /dev/null; do
sleep 5
done
{code}
> Create locking on experimental flow
> -----------------------------------
>
> Key: OVIRT-899
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-899
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Reporter: Gil Shinar
> Assignee: infra
>
> In order to make experimental flow atomic, we need to do as follows:
> in deploy.sh script and in start_testing_latest.sh we need to add a loop in the beginning of each script that does the following:
> *while 1:
> do
> is_locked=$((echo aaa > my.lock) 2> /dev/null || echo is locked)
> if [[ -z $is_locked ]]; then
> break
> else
> sleep 5
> fi
> done*
> Wrap the whole script with a trap so in the end if each script we will be able to remove my.lock no matter what happened.
--
This message was sent by Atlassian JIRA
(v1000.606.0#100023)
7 years, 11 months